Address search by coordinates

Address search by coordinates #

Method address #

POST /geosearch/address

Functionality #

Allows you to get the exact address using coordinates (latitude and longitude), at a given level and radius.

Request parameters #

ParameterDescriptionTypeExample
latitudelatitudefloat43.494369
longitudelongitudefloat39.898826
countryCodeCountry code, using ISO 3166-1 alpha-2stringRU
addresslevelThe level of the object you are looking for, by default the closest.
Options: region, area, city, settlement, planStructure, street, house.
stringhouse
radiusSearch radius in meters, default 100. Maximum 1000.int10

Sample request data #

{
  "latitude": 43.494369,
  "longitude": 39.898826,
  "countryCode": "RU",
  "addresslevel": "house",
  "radius": 10
}

Response options #

ParameterDescription
originalAn incoming address string that participated in the standardization
addressParsed and standardized address string
addressFullParsed and standardized address string with house part
postcodeInZIP code found in the input string
postcodePostal code determined from the reference base in the process of standardization
regionRegion, region. See the description of the addressLevel structure
areaDistrict of the region. See the description of the addressLevel structure
municipalMunicipal entity. See the description of the addressLevel structure
cityTown. See the description of the addressLevel structure
cityAreaA district of the city. See the description of the addressLevel structure
settlementLocality. See the description of the addressLevel structure
planStructurePlanning structure (microdistrict). See the description of the addressLevel structure
streetStreet. See the description of the addressLevel structure
houseDetailsHouse part of the address. See the description of the structure houseDetails
coordinatesGeographical coordinates. See the description of the structure coordinates
countryCountry. See the description of the country structure
validSign of correctness of the address
qualityAddress quality code. See Address Quality Code
timezoneTime zone
undefinedPartsUnrecognized part of the address
metroList of the nearest metro stations. Always empty here. See the description of the metro structure

houseDetails.apartmentCodes and houseDetails.additional are always empty here.

Descriptions of structures are available on the address standardization page.

Sample response data #

{
  "original": "Москва, Профсоюзная улица, 42к1, 242",
  "addressFull": "г Москва, ул Профсоюзная, дом 42, корпус 1, квартира 242",
  "address": "г Москва, ул Профсоюзная",
  "postcodeIn": "",
  "postcode": "117335",
  "region": {
    "fullName": "г Москва",
    "name": "Москва",
    "type": "г",
    "codes": {
      "fias": "0c5b2444-70a0-4932-980c-b4dc0d3f02b5",
      "ga": "RU0770000000000000000000000",
      "osm": "R102269",
      "gar": "1405113",
      "kladr": "7700000000000"
    }
  },
  "area": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "municipal": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "city": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "cityArea": {
    "fullName": "Академический р-н",
    "name": "Академический",
    "type": "р-н",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "settlement": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "planStructure": {
    "fullName": "",
    "name": "",
    "type": "",
    "codes": {
      "fias": "",
      "ga": "",
      "osm": "",
      "gar": "",
      "kladr": ""
    }
  },
  "street": {
    "fullName": "ул Профсоюзная",
    "name": "Профсоюзная",
    "type": "ул",
    "codes": {
      "fias": "9a661426-e65c-4223-af4d-aa5e95b7caac",
      "ga": "RU0770000000000000000002392",
      "osm": "W30750376",
      "gar": "1401987",
      "kladr": "77000000000239200"
    }
  },
  "houseDetails": {
    "fullName": "дом 42, корпус 1, квартира 242",
    "house": "42",
    "case": "1",
    "build": "",
    "liter": "",
    "lend": "",
    "constr": "",
    "stead": "",
    "flat": "242",
    "office": "",
    "room": "",
    "kab": "",
    "place": "",
    "entr": "",
    "floor": "",
    "block": "",
    "pav": "",
    "sek": "",
    "abon": "",
    "munit": "",
    "codes": {
      "fias": "2d960636-942f-48bd-8362-b39fea91a3e4",
      "ga": "",
      "osm": "",
      "gar": "56965994",
      "kladr": ""
    },
    "apartmentCodes": null,
    "additional": null
  },
  "coordinates": {
    "latitude": 55.674565,
    "longitude": 37.55814
  },
  "country": {
    "name": "Россия",
    "alpha2": "RU",
    "alpha3": "RUS",
    "numeric": 643
  },
  "valid": true,
  "quality": {
    "unique": 0,
    "actuality": 0,
    "undefined": 0,
    "level": 9,
    "house": 3,
    "geo": 8
  },
  "timezone": "UTC+3",
  "undefinedParts": "",
  "metro": []
}